Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.compendium.config.internal
Class ManagedServiceFactoryDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
              org.springframework.beans.factory.xml.AbstractSimpleBeanDefinitionParser
                  org.eclipse.gemini.blueprint.compendium.config.internal.ManagedServiceFactoryDefinitionParser

All Implemented Interfaces:
  org.springframework.beans.factory.xml.BeanDefinitionParser

    public class ManagedServiceFactoryDefinitionParser

extends org.springframework.beans.factory.xml.AbstractSimpleBeanDefinitionParser

Namespace parser for osgix:managed-service-factory.

Author:
  Costin Leau

Field Summary

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`ManagedServiceFactoryDefinitionParser()`

Method Summary
`protected void` | `doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`protected Class<?>` | `getBeanClass(Element element)`
`protected boolean` | `shouldGenerateIdAsFallback()`

Methods inherited from class org.springframework.beans.factory.xml.AbstractSimpleBeanDefinitionParser
`extractPropertyName, isEligibleAttribute, isEligibleAttribute, isEligibleAttribute, postProcess`

Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
`doParse, getBeanClassName, getParentName, parseInternal`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedServiceFactoryDefinitionParser

    public ManagedServiceFactoryDefinitionParser()

Method Detail

### getBeanClass

    protected Class<?> getBeanClass(Element element)

  Overrides:
    `getBeanClass` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

### shouldGenerateIdAsFallback

    protected boolean shouldGenerateIdAsFallback()

  Overrides:
    `shouldGenerateIdAsFallback` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`

### doParse

    protected void doParse(Element element,
                           org.springframework.beans.factory.xml.ParserContext parserContext,
                           org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

  Overrides:
    `doParse` in class `org.springframework.beans.factory.xml.AbstractSimpleBeanDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.